jQuery( document ).ready( function( $ ) {
	
	"use strict";
	
	/* Color Schemes */
	var bfm_color_schemes = [
	
		{ name: 'default', bg: '#76b9bb', fg: '#FFFFFF', message: '#999999', text: '#3c2313', button_text: '#3c2313', button_bg: '#dedacc' },
		{ name: 'lollipop', bg: '#dba5c6', fg: '#FFFFFF', message: '#999999', text: '#bd448e', button_text: '#FFFFFF', button_bg: '#c2c2c2' },
		{ name: 'macaron', bg: '#f9b9ad', fg: '#FFFFFF', message: '#a26256', text: '#999999', button_text: '#FFFFFF', button_bg: '#b64646' },
		{ name: 'blueberry', bg: '#8f8ead', fg: '#FFFFFF', message: '#262d70', text: '#6a556d', button_text: '#FFFFFF', button_bg: '#a97baf' },
		{ name: 'forest', bg: '#003333', fg: '#81aaaa', message: '#FFFFFF', text: '#FFFFFF', button_text: '#716f36', button_bg: '#d2d1b9' },
		{ name: 'dark', bg: '#999999', fg: '#333333', message: '#FFFFFF', text: '#c7c7c7', button_text: '#999999', button_bg: '#1c1c1c' },
		{ name: 'lemonade', bg: '#f5e4b2', fg: '#FFFFFF', message: '#b89b45', text: '#b89b45', button_text: '#65924a', button_bg: '#c4eaad' },
		{ name: 'sailor', bg: '#9c0e0e', fg: '#FFFFFF', message: '#555555', text: '#777777', button_text: '#FFFFFF', button_bg: '#212d64' },
		{ name: 'gold', bg: '#ac8051', fg: '#FFFFFF', message: '#caa976', text: '#925e26', button_text: '#FFFFFF', button_bg: '#3c2313' },
	
	];
	/* */
	
	var brnhmbx_bfm_boo = false;
	var bfm_scheme_changed = new Boolean( false );
	
	/* Buy For Me Button Actions */
	function brnhmbx_bfm_set_button() {
	
		$( '.brnhmbx-bfm-button' ).unbind().click( function( e ) {
			
			e.preventDefault();
	
			$( '.bfm-message' ).hide();
			$( '.bfm-container' ).show();
			$( '#brnhmbx-buy-for-me' ).addClass( 'open' );		
			$( '#bfm-product-id' ).val( $( this ).attr( 'data_product_id' ) );		
			$( '#bfm-product-url-front a img' ).attr( 'src', $( this ).attr( 'data_product_src' ) );		
			$( '#bfm-title-text-front' ).html( $( this ).attr( 'data_product_title' ) );		
			$( '#bfm-price-text-front' ).html( $( this ).attr( 'data_product_price' ) );

			brnhmbx_bfm_opening_price_color();
			brnhmbx_bfm_cws();
			
		} );
	
	}
	
	brnhmbx_bfm_set_button();
	
	if ( $( '#bfm_button_repeat' ).text() ) {
		
		setInterval( brnhmbx_bfm_set_button, 1000 );
		
	}
	/* */

	/* Overlay Actions */
	$( '.brnhmbx-bfm-overlay, .bfm-close' ).click( function() {
	
		$( '#brnhmbx-buy-for-me' ).removeClass( 'open' );
		brnhmbx_bfm_boo = false;
		
	} );
	/* */
	
	/* E-mail Preview Actions */
	$( '#bfm-your-message' ).keyup( function( event ) {
		
		if ( event.which == 13 ) {	  
			// Disable ENTER key
			event.preventDefault();
		}
	
		$( '#bfm-your-message-front' ).html( $( this ).val() );
	  
	} );
	
	$( '#bfm-button-text' ).keyup( function( event ) {
		
		if ( event.which == 13 ) {	  
			// Disable ENTER key
			event.preventDefault();	 
		}
	
		$( '#bfm-button-text-front-a' ).html( $( this ).val() );
		
		if ( $( this ).val() == '' ){
			
			$( '#bfm-button-text-front' ).hide();
			
		} else {
			
			$( '#bfm-button-text-front' ).show();
			
		}
	  
	} );
	
	$( '#bfm-hide-price' ).click( function() {
		
		$( '#bfm-price-text-front' ).toggle( !this.checked );
		
	} );
				
	$( '#bfm-color-scheme' ).on( 'change', function() {
		
		var currentScheme = $( this ).val();
		
		for ( var i = 0; i < bfm_color_schemes.length; i++ ) {
		
			if ( bfm_color_schemes[i].name == currentScheme  ) {
				
				$( '#bfm-bg-front' ).css( 'background-color', bfm_color_schemes[i].bg );
				$( '#bfm-fg-front' ).css( 'background-color', bfm_color_schemes[i].fg );
				$( '#bfm-your-message-front' ).css( 'color', bfm_color_schemes[i].message );
				$( '#bfm-product-text-front, #bfm-price-text-front ins, #bfm-price-text-front span.amount' ).attr( 'style', 'color: ' + bfm_color_schemes[i].text + '!important' );
				$( '#bfm-button-text-front-a' ).css( 'color', bfm_color_schemes[i].button_text );
				$( '#bfm-button-text-front-bg' ).css( 'background-color', bfm_color_schemes[i].button_bg );				
				break;
				
			}
			
		}
		
		bfm_scheme_changed = true;
	  
	} );
	
	function brnhmbx_bfm_opening_price_color() {
		
		if ( $( '#bfm-color-scheme' ).attr( 'data-scheme' ) == 'custom' ) {

			$( '#bfm-product-text-front, #bfm-price-text-front ins, #bfm-price-text-front span.amount' ).attr( 'style', 'color: ' + $( '#bfm-color-scheme' ).attr( 'data-text-color' ) + '!important' );	
			
		} else {
			
			var currentScheme = '';
			
			if ( $( '#bfm-color-scheme' ).attr( 'data-scheme' ) == 'disabled' ) {
				
				currentScheme = $( '#bfm-color-scheme' ).val();
				
			} else {
				
				if ( bfm_scheme_changed == true ) { currentScheme = $( '#bfm-color-scheme' ).val(); } else { currentScheme = $( '#bfm-color-scheme' ).attr( 'data-scheme' ); }
			
			}
								
			for ( var i = 0; i < bfm_color_schemes.length; i++ ) {
			
				if ( bfm_color_schemes[i].name == currentScheme  ) {
				
					$( '#bfm-product-text-front, #bfm-price-text-front ins, #bfm-price-text-front span.amount' ).attr( 'style', 'color: ' + bfm_color_schemes[i].text + '!important' );	
					break;
					
				}
				
			}
		
		}
				
	}
	/* */
		
	/* Return Message */
	$( '.bfm-message' ).hide();
	
	if ( $( '#bfm_return' ).text() ) {
	
		brnhmbx_bfm_prepareMessage();
		$( '.bfm-message' ).text( $( '#bfm_return' ).text() );
	
	}
	
	function brnhmbx_bfm_prepareMessage() {
		
		$( '.bfm-message' ).show();
		$( '.bfm-container' ).hide();
		$( '#brnhmbx-buy-for-me' ).addClass( 'open' );
		
	}
	/* */
	
	/* Check Window Size */
	function brnhmbx_bfm_cws() {
		
		brnhmbx_bfm_boo = true;
		
		if ( $( window ).height() < 670 || $( window ).width() < 968 ) {
			
			brnhmbx_bfm_sct();
			
		}
		
	}
	/* */
	
	/* Scroll to Top */
	function brnhmbx_bfm_sct() {
		
		$( 'html, body' ).animate( { scrollTop: 0 }, 500 );
		return false;
		
	}
	/* */	

} );